// https://developer.valvesoftware.com/wiki/List_of_CS:S_Cvars

hostname "CUZUS.GAMES | TEST SERVER"	// Servername

sv_lan 0	// 1=Lanserver 0=Internetserver
sv_region 3	// Region Servers. 0=US East, 1=US West, 2= Suedamerika, 3=Europa, 4=Asien, 5=Australien, 6=Mittlerer Osten, 7=Afrika und 255=World

sv_password ""		// Server Password. (""=No password)
sv_consistency 0	// 1=Players with custom skins aren´t allowed to connect

//sv_downloadurl "http://95.31.33.59:8888/cssource"

sv_allowupload "0"		//"0" to denied, to upload player custom sprays etc.
sv_allowdownload "1"		//"0" denied the direct download from the server
net_maxfilesize 64		// allow clients to download content which is 64MB or smaller in size.

rcon_password "9Agf1JtycW"	// RCON password
sv_rcon_maxfailures 10
sv_rcon_minfailures 10
sv_rcon_minfailuretime 30

//maxplayers 128

mp_buytime 1.5
mp_startmoney 800
mp_c4timer 45			// C4 (Bomb) Timer (Min.=10 Max.=90)
mp_flashlight 1		// Flashlight (1=Allowed 0=No)

mp_decals 2048
decalfrequency 30		// After how many secounds u can spray again. (20=Default)

mp_playerid 2			// Show name if u aim on player. (0=all 1=Just Teammates 2=None)
mp_footsteps 1			// Possible to hear Footsteps (1=on 0=off)
mp_falldamage 1
mp_hostagepenalty 0		// After how many hostage kills the player get kicked. 0=No kick

mp_timelimit 30		// Maptime - Currently set to 30 minutes.
mp_winlimit 0			// After X wins the map will change.
mp_round_restart_delay 3
mp_maxrounds 999		// How many rounds will be played per map.
mp_roundtime 3.5		// Roundtime Currently: 3:30 min
mp_freezetime 3		// Freezetime

mp_autoteambalance 0
mp_limitteams 0		// How many players a team can more have then the other

mp_friendlyfire 0
mp_tkpunish 0			// Teamkiller will automatic killed in the next round. (0=off 1=on)
mp_spawnprotectiontime 5	// In this team, you will be kicked, if u attack a teammate.
mp_autokick 0			// Kicking AFK player.
sv_timeout 60			// After how many secounds you will be kicked.

mp_forcecamera 1		// 0=everyone 1=team 2=spectate team 1st person camera
mp_fadetoblack 0		// Enable black screen for death players
sv_disablefreezecam 1		// disable camera in attacker

mp_allowspectators 1			// Team Spectaor is chooseable. (1=ja 0=nein)
sv_specaccelerate 5
sv_specspeed 3
sv_specnoclip 1			// Spectator can look through Doors etc.

sv_voiceenable 1
sv_alltalk 0              // 1=Voicechat with both teams. 0=Voicechat Team only.
// sv_voicequality 5
// sv_voicecodec "voice_speex" // Avalible codex: "vaudio_miles" und "voice_speex"

mp_chattime 10			// Chattime, while the game has ended. (1=min 120=max)
mp_restartgame 0		// Restart in X secounds (The map will be restarted!)

mp_forcerespawn 1
mp_teamplay 1			// 1=CTvs.T  2=Deathmatch (Free for all.)

sv_gravity 800                  // Does change the gravity. (800=Standart)
phys_pushscale 1                // Does change the strengh of the physical objects. (1=original)
phys_timescale 1                // Does change the speed of the physical objects. (1=original)
phys_impactforcescale 1

sv_pushaway_clientside 0        // Clientsided pushing. (0=off 1=Only local players 2=all players)
sv_pushaway_force 30000         // The strenght with that a player gets pushed away. (30000=default)
sv_pushaway_max_force 1000      // Maximum power, that a player is giving to an objects. (1000=default)
sv_pushaway_min_player_speed 75 // Minimale speed, that a player needs to have to push an object. (Does allow the hiding behind objects.) (75=default)

sv_turbophysics 0		// With that options, player are able to stand on physical objects. (1=on 0=off/default)

// Launching from external configs
exec banned_user.cfg
exec banned_ip.cfg

//mapchangecfgfile "server.cfg"
//servercfgfile "server.cfg"
//motdfile "motd.txt"

// Please change the following lines only if the server does lag and you know, what you´re doing.
sv_maxrate 20000
sv_minrate 2500
sv_maxupdaterate 101
sv_minupdaterate 30
fps_max 600
host_framerate 0

log 1						// Enables logging to file, console, and udp < on | off >.
sv_logecho 0					// Echo log information to the console.
sv_log_onefile 0				// Creates new log file every map change
sv_logbans 0					// When enabled, it log executed bans by banid, addip, removeid and removeip
mp_logdetail 0					// Logs attacks.  Values are: 0=off, 1=enemy, 2=teammate, 3=both)

writeid						// Banned players will be loggeg in: "banned_user.cfg".
writeip						// Banned IPs will be loggeg in: "banned_ip.cfg".

sv_cheats 0
sv_pausable 0

sv_accelerate 5	// Player speed
sv_airaccelerate 10	// Player speed - Fly
sv_wateraccelerate 10	// Player speed water
sv_waterfriction 1
sv_friction 4
sv_maxspeed 320	// Max speed
sv_stepsize 18		// Step size

// Source TV
tv_enable 0
tv_autorecord 0       // Record everyone?
tv_debug 0            // SrcTV debug info.
tv_delay 10           // SrcTV Livestream Delay
tv_dispatchmode 1     // Dispatch clients to relay proxies: 0=never, 1=if appropriate, 2=always
tv_maxclients 128     // Max Spectator
tv_maxrate 3500       // Max bandweight
tv_name "Source TV"   // Name of your SourceTV
tv_password ""        // SrcTV Password ( "" = Aus)
tv_relaypassword ""   // SrcTV relaypassword ( "" = Aus)
tv_snapshotrate 20    // Schreibt alle "xx" Serverticks einen Schritt in die Demo. (Nur waehrend SrcTV Demoaufnahmen.)

sv_hudhint_sound 0 // disables hinttext sound
